> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Permanent Delete Memory



## OpenAPI

````yaml /openapi/em-memory-service-v2.yaml post /memories/{memory_id}/permanent-delete
openapi: 3.1.0
info:
  title: EM Memory API
  version: 0.1.0
servers: []
security: []
paths:
  /memories/{memory_id}/permanent-delete:
    post:
      tags:
        - memories
      summary: Permanent Delete Memory
      operationId: permanent_delete_memory_memories__memory_id__permanent_delete_post
      parameters:
        - name: memory_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Memory Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemoryPermanentDeleteResponse'
        '404':
          description: Memory with ID '{memory_id}' does not exist.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MemoryPermanentDeleteResponse:
      properties:
        id:
          type: string
          title: Id
        deleted:
          type: boolean
          title: Deleted
        relationships_deleted:
          type: integer
          title: Relationships Deleted
        history_preserved:
          type: boolean
          title: History Preserved
      type: object
      required:
        - id
        - deleted
        - relationships_deleted
        - history_preserved
      title: MemoryPermanentDeleteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````